/*
 * Copyright (C) 2009 Johan Stenarson
 * See accompanying file, LICENSE, for license information 
 */

if(typeof BUBBAMON === 'undefined') {
    var BUBBAMON = {}
}

BUBBAMON.StringBundle = function(name) {
    this.bundle = new Array();
    this.bundle.push(document.getElementById(name));

    this.getText = function(key) {
        var ret = null;

        for(var i = 0 ; i < this.bundle.length; i++) {
            try {
                ret = this.bundle[i].getString(key);
            }
            catch(e) {
                dump(e); 
            }
            if (ret != null)
                break;  
        }
        // Return the key if we can't find the string
        if (ret == null) 
            ret = key;

        return ret;
    }

    this.getFormattedText = function(key, args) {
        var ret = null;
        
        for(var i = 0 ; i < this.bundle.length; i++)
        {
            try {
                ret = this.bundle[i].getString(key);
                if (ret != null)
                {
                    ret = this.bundle[i].getFormattedString(key, args);
                }
            }
            catch(e) {
                dump(e);
            }
        }
        // Return the key if we can't find the string
        if (ret == null) 
            ret = key;

        return ret;
    }
}

